Skip to main content
POST
Simulate a card return reversal

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

id
string
required

The id of the card the return reversal applies to.

Body

application/json

Sandbox-only request body for simulate endpoints keyed only by an existing card transaction — currently POST /sandbox/cards/{id}/simulate/return_reversal.

cardTransactionId
string
required

The id of the CardTransaction to act against.

Example:

"CardTransaction:019542f5-b3e7-1d02-0000-000000000100"

Response

Simulation accepted. The resulting card operation is delivered asynchronously via the issuer's events webhook. Returns the issuer transaction token that correlates the simulated event.

Response body for the sandbox card-event simulators. The simulate call pokes the card issuer's sandbox; the resulting card operation is delivered asynchronously via the issuer's events webhook, never synchronously in this response.

issuerTransactionToken
string
required

The card issuer's transaction token for the simulated event. Correlates the eventual webhook-delivered card operation back to this simulate call.

Example:

"f3a1c2d4-5b6e-7890-abcd-ef0123456789"